Skip to main content
Cresora Commerce
Testing & Sandbox

Test Cards

Authoritative Cresora test PANs for sandbox payments.

Use these test PANs in the Cresora sandbox. They trigger specific payment outcomes without involving real card networks.

Warning

These are the authoritative Cresora test PANs. Other gateway test cards (e.g. Stripe's 4242 4242 4242 4242) do not work on this platform. Use any future expiry date and any 3-digit CVV.

Basic outcomes

PANResultHTTP status
4111111111111111Approval200 captured
4000000000000002Soft decline — NSF (insufficient funds)422 processing_error
4000000000000069Hard decline422 processing_error

AVS / CVV test cards

PANTriggerNotes
4000000000000127AVS mismatchAddress check fails; payment still processed
4000000000000101CVV mismatchCVV check fails; payment still processed
4000000000000010AVS + CVV both failPayment declined

3DS2 test cards

Use any card with the three_d_secure.simulate parameter — see 3DS2 Guide →.

ACH test routing numbers

RoutingResult
021000021Approval
999999999R01 — Insufficient funds
111111118R10 — Customer advises not authorized

International test cards

International card testing is not available at MVP 0. All sandbox cards simulate US-issued cards.

Using test cards

Test cards work only with csk_test_ keys. Attempting to use them with a live key returns 400 validation_error.

curl -X POST https://api.cresoracommerce.com/v1/payments \
  -H "Authorization: Bearer csk_test_xxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "amount": 10000,
    "currency": "USD",
    "payment_method": "card",
    "merchant_id": "mrch_xxxxxxxxxx",
    "card": {
      "number": "4111111111111111",
      "exp_month": 12,
      "exp_year": 2028,
      "cvv": "123"
    }
  }'